import { getProcessor, getCodeBlock } from './utils';
export * from './utils';
export var FUNNAME_PREFIX = '__BaseCode__';
var codePreviewLoader = function codePreviewLoader(source) {
  var options = this.getOptions();
  var components = '';
  var codeBlock = {};
  try {
    codeBlock = getCodeBlock(getProcessor(source), options, this.resourcePath);
    Object.keys(codeBlock).forEach(key => {
      components += key + ": (function() { " + codeBlock[key].code + " })(),";
    });
  } catch (error) {
    this.emitError(error);
  }
  return "\nexport default {\n    components: { " + components + " },\n    data: " + JSON.stringify(codeBlock, null, 2) + ",\n    source: " + JSON.stringify(source) + "\n  }";
};
export default codePreviewLoader;
//# sourceMappingURL=index.js.map