"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  FUNNAME_PREFIX: true
};
exports["default"] = exports.FUNNAME_PREFIX = void 0;
var _utils = require("./utils");
Object.keys(_utils).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _utils[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _utils[key];
    }
  });
});
var FUNNAME_PREFIX = '__BaseCode__';
exports.FUNNAME_PREFIX = FUNNAME_PREFIX;
var codePreviewLoader = function codePreviewLoader(source) {
  var options = this.getOptions();
  var components = '';
  var codeBlock = {};
  try {
    codeBlock = (0, _utils.getCodeBlock)((0, _utils.getProcessor)(source), options, this.resourcePath);
    Object.keys(codeBlock).forEach(function (key) {
      components += "".concat(key, ": (function() { ").concat(codeBlock[key].code, " })(),");
    });
  } catch (error) {
    this.emitError(error);
  }
  return "\nexport default {\n    components: { ".concat(components, " },\n    data: ").concat(JSON.stringify(codeBlock, null, 2), ",\n    source: ").concat(JSON.stringify(source), "\n  }");
};
var _default = codePreviewLoader;
exports["default"] = _default;
//# sourceMappingURL=index.js.map